summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2018-05-30 19:52:10 +0000
committerDaniel Bermond2018-05-30 20:51:50 +0000
commit74b2bb49ba17acb5145999ebb151934e6446c802 (patch)
treee699bcae0407ec41eab22554c545ef838f692b9e
parent675d7290bd490e312d1d78004ddf5f7fbd9203f1 (diff)
downloadaur-74b2bb49ba17acb5145999ebb151934e6446c802.tar.gz
Fix build with cuda 9.2 (needs gcc<7)
cuda 9.2 compiler is gcc7, but compilation fails with it. It works with gcc6 but it's not on the official repositories. gcc54 is on the official repositories, so let's use it.
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD4
2 files changed, 4 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 97fb0868cdc..dac60cb892a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = caffe2-git
pkgdesc = A new lightweight, modular, and scalable deep learning framework (git version, gpu enabled)
- pkgver = 0.8.2.r11225.g141d81d09
+ pkgver = 0.8.2.r11491.gf8e83dc25
pkgrel = 1
epoch = 1
url = http://caffe2.ai/
@@ -8,6 +8,7 @@ pkgbase = caffe2-git
license = BSD
makedepends = git
makedepends = cmake
+ makedepends = gcc54
depends = google-glog
depends = protobuf
depends = lapack
diff --git a/PKGBUILD b/PKGBUILD
index 98642c0eb0e..303f91f9425 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@
# -DNCCL_ROOT_DIR:PATH='/opt/cuda'
pkgname=caffe2-git
-pkgver=0.8.2.r11225.g141d81d09
+pkgver=0.8.2.r11491.gf8e83dc25
pkgrel=1
epoch=1
pkgdesc='A new lightweight, modular, and scalable deep learning framework (git version, gpu enabled)'
@@ -36,7 +36,7 @@ depends=(
'python-nvd3' 'python-scikit-image' 'python-glog' 'python-leveldb'
'python-lmdb'
)
-makedepends=('git' 'cmake')
+makedepends=('git' 'cmake' 'gcc54')
provides=('caffe2')
conflicts=('caffe' 'caffe-cpu' 'caffe-git' 'caffe-cpu-git'
'caffe2' 'caffe2-cpu' 'caffe2-cpu-git')